Debian Bug report logs - #600652
qtcreator: FTBFS on kfreebsd-*: expected unqualified-id before 'int'

version graph

Package: src:qtcreator; Maintainer for src:qtcreator is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>;

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Mon, 18 Oct 2010 21:45:02 UTC

Severity: serious

Tags: experimental

Found in version qtcreator/2.1.0~beta1-1

Fixed in version qtcreator/2.2.0-1

Done: Fathi Boudra <fabo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#600652; Package src:qtcreator. (Mon, 18 Oct 2010 21:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 18 Oct 2010 21:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: qtcreator: FTBFS on kfreebsd-*: expected unqualified-id before 'int'
Date: Mon, 18 Oct 2010 23:41:31 +0200
Source: qtcreator
Version: 2.1.0~beta1-1
Severity: serious
Justification: FTBFS
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

Hi,

your package no longer builds on kfreebsd-*:
| g++ -c -pipe -g -O2 -fvisibility=hidden -fvisibility-inlines-hidden -Wall -W -D_REENTRANT -fPIC -DQMLJS_BUILD_DIR -DQT_CREATOR -DIDE_LIBRARY_BASENAME=\"lib\" -DQT_NO_CAST_TO_ASCII -DQT_USE_FAST_OPERATOR_PLUS -DQT_USE_FAST_CONCATENATION -DQMLJS_BUILD_DIR -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I../../libs -I/build/buildd-qtcreator_2.1.0~beta1-1-kfreebsd-amd64-0J3cO1/qtcreator-2.1.0~beta1/tools -Iparser -I../../libs -I.moc/release-shared -o .obj/release-shared/qmljspropertyreader.o qmljspropertyreader.cpp
| In file included from ../../libs/qmljs/qmljsinterpreter.h:35,
|                  from ../../libs/qmljs/qmljscheck.h:34,
|                  from qmljspropertyreader.cpp:33:
| ../../libs/qmljs/qmljscomponentversion.h:49: error: expected unqualified-id before 'int'
| ../../libs/qmljs/qmljscomponentversion.h:49: error: expected ')' before 'int'
| ../../libs/qmljs/qmljscomponentversion.h:49: error: expected ')' before 'int'
| ../../libs/qmljs/qmljscomponentversion.h:51: error: expected unqualified-id before 'int'
| ../../libs/qmljs/qmljscomponentversion.h:51: error: expected ')' before 'int'
| ../../libs/qmljs/qmljscomponentversion.h:51: error: expected ')' before 'int'
| make[5]: *** [.obj/release-shared/qmljspropertyreader.o] Error 1

Full build logs:
  https://buildd.debian.org/status/package.php?p=qtcreator&suite=experimental

Mraw,
KiBi.




Added tag(s) experimental. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Sun, 14 Nov 2010 13:15:03 GMT) Full text and rfc822 format available.

Reply sent to Fathi Boudra <fabo@debian.org>:
You have taken responsibility. (Mon, 20 Jun 2011 15:51:03 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Mon, 20 Jun 2011 15:51:03 GMT) Full text and rfc822 format available.

Message #12 received at 600652-close@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fabo@debian.org>
To: 600652-close@bugs.debian.org
Subject: Bug#600652: fixed in qtcreator 2.2.0-1
Date: Mon, 20 Jun 2011 15:48:45 +0000
Source: qtcreator
Source-Version: 2.2.0-1

We believe that the bug you reported is fixed in the latest version of
qtcreator, which is due to be installed in the Debian FTP archive:

qtcreator-doc_2.2.0-1_all.deb
  to main/q/qtcreator/qtcreator-doc_2.2.0-1_all.deb
qtcreator_2.2.0-1.debian.tar.gz
  to main/q/qtcreator/qtcreator_2.2.0-1.debian.tar.gz
qtcreator_2.2.0-1.dsc
  to main/q/qtcreator/qtcreator_2.2.0-1.dsc
qtcreator_2.2.0-1_amd64.deb
  to main/q/qtcreator/qtcreator_2.2.0-1_amd64.deb
qtcreator_2.2.0.orig.tar.gz
  to main/q/qtcreator/qtcreator_2.2.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 600652@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fathi Boudra <fabo@debian.org> (supplier of updated qtcreator package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 17 Jun 2011 20:47:08 +0300
Source: qtcreator
Binary: qtcreator qtcreator-doc
Architecture: source amd64 all
Version: 2.2.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Fathi Boudra <fabo@debian.org>
Description: 
 qtcreator  - lightweight integrated development environment (IDE) for Qt
 qtcreator-doc - documentation for Qt Creator IDE
Closes: 600652 627889
Changes: 
 qtcreator (2.2.0-1) unstable; urgency=low
 .
   * New upstream release (Closes: #627889):
     - fix ftbfs on kfreebsd. (Closes: #600652)
   * Add install_application_icons_according_to_freedesktop_spec.diff patch.
   * Update debian/rules:
     - build depends on libqtwebkit-dev >= 2.1.0~2011week13-2. This version
       contains a fix to define QT_WEBKIT and display correctly documentation
       in Qt Creator Help plugin.
     - bump Standards-Version to 3.9.2 (no changes needed).
   * Update debian/qtcreator.desktop: set InitialPreference=9.
Checksums-Sha1: 
 594e8d2421fb3e0441a224ea656d2ce54a42e6ed 1543 qtcreator_2.2.0-1.dsc
 863811972b857dbc53587dede4849fb43f8d067a 24667249 qtcreator_2.2.0.orig.tar.gz
 7b7cca6226864a9b3cd64082edfe55a2ddf54c40 15095 qtcreator_2.2.0-1.debian.tar.gz
 b39aea4478133d888088af7bec859e3b5db05e81 12652766 qtcreator_2.2.0-1_amd64.deb
 6de064d220a8869852ec01e9c06aa352fca5b65a 8413358 qtcreator-doc_2.2.0-1_all.deb
Checksums-Sha256: 
 a7f3571a36e1718c2433bc765c8b9efebfe7c5cd719fe722d7af062b0320e5e2 1543 qtcreator_2.2.0-1.dsc
 b9465e81f100d1484fb3739765edd26d79121d5bd4a2cf32b50929bf75fcd41a 24667249 qtcreator_2.2.0.orig.tar.gz
 051eaf71883e9137399d29812032a99425f6f2ad21943b0f1a2888b140d7f8d5 15095 qtcreator_2.2.0-1.debian.tar.gz
 39701fdd107705c0a278b6fc73b09c5d1e4eec057e810768ff34e156a33ee7ff 12652766 qtcreator_2.2.0-1_amd64.deb
 f1d1f76665c835e9bd27cc3cdb1664106527559429aff384dd6d55f795ac70ab 8413358 qtcreator-doc_2.2.0-1_all.deb
Files: 
 9db3be119c628a3c78b2abc4c5201092 1543 devel optional qtcreator_2.2.0-1.dsc
 bdf622c456f613d96074cf8477180aab 24667249 devel optional qtcreator_2.2.0.orig.tar.gz
 2cf632c8baee0fa573da09ba1dae351a 15095 devel optional qtcreator_2.2.0-1.debian.tar.gz
 d185795f95756a66e0efb80f39720248 12652766 devel optional qtcreator_2.2.0-1_amd64.deb
 8980a67b8d6c26776196b08231b53cc1 8413358 doc optional qtcreator-doc_2.2.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iJwEAQECAAYFAk3/Z4AACgkQjPU19mqlcvfuxwP+NxwV3QqPpQaeoH5wyon2oY7T
D5LH0yODUIpRnGHoQ8RbZ0U//KYxkJ+a7CzIKTcGkRWumjBxTlk18PSWygvHS9Ay
IcuRXezFpu0MPx7jr6gEEWuU4t0r/cpdDmD5Epi5gl7Zv9+a6/7xo0LPpvAnS3m7
GXkgDZJA+9m5mfBgdV0=
=xXwp
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jul 2011 07:35:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:11:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.